Subject: Re: [PATCH net-next v2 2/2] net: ovs: use CRC32 accelerated flow hash if available

From: Francesco Fusco <[email-masked]>
Date: Fri, 13 Dec 2013 10:55:23 +0100

On 12/12/2013 09:20 PM, Jesse Gross wrote:
> Out of curiosity, did you try using crc32q? OVS data structures are
> already aligned to 8 bytes. It would also be interesting to know if a
> parallelized implementation is worthwhile, although my guess is that
> the OVS flow key is not quite long enough.

We did not try with crc32q yet because we had the very same concerns.
In the general case, when the length of the key is not a multiple of 8 
bytes, we will have to use the crc32q to process multiple 64 bit 
numbers, then process the the rest with a crc32l. My guess is that the
performance benefit won't be that high.

But we will try that out and if the outcome will be positive, we will 
submit a follow up patch.

Best,
Francesco